org.eclipse.net4j.util.security

## Class RandomizerFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.security.RandomizerFactory

- All Implemented Interfaces:
    IFactory

      public class RandomizerFactory
      extends Factory

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PRODUCT_GROUP`
    `static java.lang.String` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomizerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Randomizer` | `create(java.lang.String description)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RandomizerFactory

          public RandomizerFactory()

  - ### Method Detail

    - #### create

          public Randomizer create(java.lang.String description)
                            throws ProductCreationException

      Throws:
        `ProductCreationException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html